Commit db82f9ea authored by Todd Volkert's avatar Todd Volkert Committed by GitHub

Make travis script more verbose upon error (#9545)

This will help us know for sure exactly which sub-script erred.
parent a3f0f691
......@@ -18,4 +18,9 @@ cp dev/docs/google2ed1af765c529f57.html dev/docs/doc
if [ "$TRAVIS_PULL_REQUEST" = "false" ] && [ "$TRAVIS_BRANCH" = "master" ]; then
cd dev/docs
firebase deploy --project docs-flutter-io
exit_code=$?
if [[ $exit_code -ne 0 ]]; then
>&2 echo "Error deploying docs via firebase ($exit_code)"
exit $exit_code
fi
fi
......@@ -20,4 +20,9 @@ fi
if [ "$SHARD" = "docs" ]; then
# generate the API docs, upload them
./dev/bots/docs.sh
exit_code=$?
if [[ $exit_code -ne 0 ]]; then
>&2 echo "Error generating docs ($exit_code)"
exit $exit_code
fi
fi
......@@ -37,4 +37,5 @@ Future<Null> main(List<String> args) async {
print('Expected file ${testFile.path} not found');
exit(1);
}
print('Javadocs ready to go!');
}
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment